// hasarray_main.cpp
// Glenn G. Chappell
// 26 Sep 2013
//
// For CS 202 Fall 2013
// Driver program for class HasArray

#include "hasarray.h"  // For class HasArray
#include <iostream>
using std::cout;
using std::endl;
using std::cin;


// Main program
// Make a HasArray object, set values, print them
int main()
{
    const int SIZE = 6;
    HasArray a(SIZE);

    // Get our array
    int * p = a.getArray();

    // Set values
    for (int i = 0; i < SIZE; ++i)
    {
        p[i] = i*i;  // Squares
    }

    // Print values
    for (int i = 0; i < SIZE; ++i)
    {
        cout << "p[" << i << "] = " << p[i] << endl;
    }

    cout << endl;
    cout << "Press ENTER to quit ";
    while (cin.get() != '\n') ;

    return 0;
}

